Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.World.Ants
Class MarkingAnt

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.Formalisms.World.WorldEntity
                  SEdit.Formalisms.World.MobileEntity
                      SEdit.Formalisms.World.Ants.AbstractAnt
                          SEdit.Formalisms.World.Ants.MarkingAnt

    public class MarkingAnt

extends AbstractAnt

Field Summary

Fields inherited from class SEdit.Formalisms.World.Ants.AbstractAnt
`carrying`

Fields inherited from class SEdit.Formalisms.World.MobileEntity
`BOUND, convDegGrad, convGradDeg, movementType, WRAP`

Fields inherited from class SEdit.Formalisms.World.WorldEntity
`behaviorFileName, brainClass`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`MarkingAnt()`

Method Summary
`void` | `bodyDoIt()` l'activateur des entites

Methods inherited from class SEdit.Formalisms.World.Ants.AbstractAnt
`eat, getHome, isCarrying, randomMove, setHome`

Methods inherited from class SEdit.Formalisms.World.MobileEntity
`avoidObstacles, detect, directTowards, getDetectingRange, getDirection, getDirectionTo, getDirectionTo, getDistanceTo, getMaxSpeed, getSpeed, init, isDetecting, isTouching, move, moveTo, randomDir, setDetecting, setDetectingRange, setDirection, setMaxSpeed, setRandomCptMax, setSpeed`

Methods inherited from class SEdit.Formalisms.World.WorldEntity
`addInArrow, addOutArrow, afterDoIt, beforeDoIt, delete, doIt, getBehaviorFileName, getBrain, getBrainClass, getDistance, getInArrows, getLocation, getOutArrows, getPosition, isConnectable, makeBrain, selfDelete, setBehaviorFileName, setBrain, setBrainClass, showLine, toString`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarkingAnt

    public MarkingAnt()

Method Detail

### bodyDoIt

    public void bodyDoIt()

  l'activateur des entites

  Overrides:
    `bodyDoIt` in class `WorldEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.